get.pdb {bio3d} | R Documentation

## Download PDB Coordinate Files

### Description

Downloads PDB coordinate files from the RCSB Protein Data Bank.

### Usage

    get.pdb(ids, path = ".", URLonly=FALSE, overwrite = FALSE, gzip = FALSE,
         split = FALSE, format = "pdb", verbose = TRUE, ncore = 1, ...)

### Arguments

`ids` | A character vector of one or more 4-letter PDB codes/identifiers or 6-letter PDB-ID_Chain-ID of the files to be downloaded, or a ‘blast’ object containing ‘pdb.id’.
`path` | The destination path/directory where files are to be written.
`URLonly` | logical, if TRUE a character vector containing the URL path to the online file is returned and files are not downloaded. If FALSE the files are downloaded.
`overwrite` | logical, if FALSE the file will not be downloaded if it alread exist.
`gzip` | logical, if TRUE the gzipped PDB will be downloaded and extracted locally.
`split` | logical, if TRUE `pdbsplit` funciton will be called to split pdb files into separated chains.
`format` | format of the data file: ‘pdb’ or ‘cif’ for PDB and mmCIF file formats, respectively.
`verbose` | print details of the reading process.
`ncore` | number of CPU cores used to do the calculation. `ncore>1` requires package ‘parallel’ installed.
`...` | extra arguments passed to `pdbsplit` function.

### Details

This is a basic function to automate file download from the PDB.

### Value

Returns a list of successfully downloaded files. Or optionally if URLonly is TRUE a list of URLs for said files.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

For a description of PDB format (version3.3) see:
http://www.wwpdb.org/documentation/format33/v3.3.html.

### See Also

`read.pdb`, `write.pdb`, `atom.select`, `read.fasta.pdb`, `read.fasta`, `pdbsplit`

### Examples

    # PDB server connection required - testing excluded

    ## PDB file paths
    get.pdb( c("1poo", "1moo"), URLonly=TRUE )

    ## These URLs can be used by 'read.pdb'
    pdb <- read.pdb( get.pdb("5p21", URL=TRUE) )
    summary(pdb)

    ## Download PDB file
    ## get.pdb("5p21")

[Package bio3d version 2.3-4 Index]